Subject: bug#58429: 29.0.50; inhibit-automatic-native-compilation does not work as expected.

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 11 Oct 2022 10:11:43 +0200

Max Brieiev <[email-masked]> writes:

> Now it starts without compilation errors. And it works just fine during
> basic usage like sending this bug report.
>
> However, when I invoke magit, I see this:
>
>     Deleting /tmp/comp-lambda-RCGJQI.eln
>     comp--native-compile: Native compiler error: (lambda (&rest arg1) (let ((f #'make-process)) (apply f arg1))), "Compiling /tmp/comp-lambda-RCGJQI.eln...
>     x86_64-unknown-linux-gnu-gcc-10.3.0: fatal error: cannot execute ‘as’: execvp: No such file or directory
>     compilation terminated.
>
> which makes the package unusable.

The setting affects whether your Emacs decides to native-compile during
normal operation.  But here it sounds like Magit is trying to use the
native-compiler anyway, and fails (since your libgccjit is broken).

I think this is just a reflection on the general broken-ness of your
system -- you can't expect packages like Magit to work under these
circumstances, so you should fix your system (or not use a nativecomp
Emacs if your system doesn't support it).